Package relaxngcc.codedom

# Class CDOp

java.lang.Object
relaxngcc.codedom.CDOp

public abstract class CDOp extends Object
Operator factory

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AND`
`static final int`
`EQ`
`static final int`
`OR`
`static final int`
`STREQ`
`static final int`
`STRFASTEQ`

## Constructor Summary

Constructors
Constructor
Description
`CDOp()`

## Method Summary

Modifier and Type
Method
Description
`static CDExpression`
`AND(CDExpression left, CDExpression right)`
Logical and operator.
`static CDExpression`
`EQ(CDExpression left, CDExpression right)`
Object identity equality operator.
`static CDExpression`
`NOT(CDExpression exp)`
logical not operator
`static CDExpression`
`OR(CDExpression left, CDExpression right)`
Logical or operator.
`static CDExpression`
`STREQ(CDExpression left, CDExpression right)`
String value equality operator.
`static CDExpression`
`STRFASTEQ(CDExpression left, CDExpression right)`
String value equality operator.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EQ

public static final int EQ

See Also:
  - Constant Field Values

### STREQ

public static final int STREQ

See Also:
  - Constant Field Values

### AND

public static final int AND

See Also:
  - Constant Field Values

### OR

public static final int OR

See Also:
  - Constant Field Values

### STRFASTEQ

public static final int STRFASTEQ

See Also:
  - Constant Field Values

## Constructor Details

### CDOp

public CDOp()

## Method Details

### EQ

public static CDExpression EQ(CDExpression left, CDExpression right)
Object identity equality operator.

### STREQ

public static CDExpression STREQ(CDExpression left, CDExpression right)
String value equality operator.

### STRFASTEQ

public static CDExpression STRFASTEQ(CDExpression left, CDExpression right)
String value equality operator.

### AND

public static CDExpression AND(CDExpression left, CDExpression right)
Logical and operator.

### OR

public static CDExpression OR(CDExpression left, CDExpression right)
Logical or operator.

### NOT

public static CDExpression NOT(CDExpression exp)
logical not operator